#[derive(Debug, Clone, Copy, PartialEq)]
pub struct Epoch {
    pub julian_date: f64,
}

impl Epoch {
    pub fn from_julian_date(julian_date: f64) -> Self {
        Self { julian_date }
    }

    pub fn days_since_j2000(&self) -> f64 {
        self.julian_date - 2_451_545.0
    }
}
